%define	module	Catalyst-Plugin-Authorization-Roles
%define	name	perl-%{module}
%define version 0.07
%define release %mkrel 1

%define _requires_exceptions perl(A

Summary:	Role based authorization for Catalyst based on Catalyst::Plugin::Authentication
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Catalyst/%{module}-%{version}.tar.gz
BuildRequires:	perl(Catalyst) >= 5.49
BuildRequires:	perl(Catalyst::Plugin::Authentication) >= 0.03
BuildRequires:	perl(Set::Object) >= 0
BuildRequires:	perl(Test::Exception) >= 0
BuildRequires:	perl(Test::MockObject) >= 1.01
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Role based access control is very simple: every user has a list of
roles, which that user is allowed to assume, and every restricted part
of the app makes an assertion about the necessary roles.

If the user is a member in all of the required roles access is
granted. Otherwise, access is denied.

%prep
%setup -q -n %{module}-%{version}

%build
perl Makefile.PL installdirs=vendor
%make

%check
make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst



%changelog
* Sun Sep 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.0
+ Revision: 282125
- new version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-3mdv2009.0
+ Revision: 241160
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Apr 30 2007 Olivier Thauvin <nanardon@mandriva.org> 0.05-1mdv2008.0
+ Revision: 19680
- fix build method

  + Nicolas Lécureuil <neoclust@mandriva.org>
    -New version


* Wed Mar 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdk
- new version 
- rpmbuilupdate aware
- fix directory ownership

* Wed Jan 18 2006 Scott Karns <scott@karnstech.com> 0.03-1mdk
- Initial MDV package

